/* All Rights reserved */

#include <AppKit/AppKit.h>
#include "LyricsInspector.h"

@implementation LyricsInspector

/* --------------------------
   - Initialization Methods -
   --------------------------*/

+ (id) sharedLyricsInspector
{
  static LyricsInspector *_sharedLyricsInspector = nil;

  if (! _sharedLyricsInspector) {
      _sharedLyricsInspector = [[LyricsInspector allocWithZone: [self zone]] init];
  }

  return _sharedLyricsInspector;
}

- (id) init
{
  self = [self initWithWindowNibName: @"LyricsInspector"];

  if (self) {
      [self setWindowFrameAutosaveName: @"LyricsInspector"];
  }
NSLog(@"LyricsInspector init got called");
  mpdController = [MPDController sharedMPDController];

  return self;
}

- (void) openURL: (id)sender
{
  /* insert your code here */
}

@end
